{
  "appId": "agora.io.ElectronApiExample",
  "asar": true,
  "asarUnpack": [
    "node_modules/agora-electron-sdk"
  ],
  "buildDependenciesFromSource": true,
  "compression": "normal",
  "productName": "湖北襄阳四中教研平台",
  "publish": [
    {
      "provider": "generic",
      "url": "https://meeting-api.23544.com/meeting/xysz"
    }
  ],
  "files": [
    "!*.log"
  ],
  "win": {
    "icon": "build/start-xy.ico",
    "requestedExecutionLevel": "highestAvailable",
    "target": [
      {
        "target": "nsis",
        "arch": [
          "ia32"
        ]
      }
    ]
  },
  "directories": {
    "output": "electron"
  },
  "extraResources": [
    {
      "from": "src/assets/virtualBackground",
      "to": "images",
      "filter": [
        "**/*"
      ]
    }
  ],
  "nsis": {
    "oneClick": false,
    "installerIcon": "build/start-xy.ico",
    "uninstallerIcon": "build/start-xy.ico",
    "installerHeaderIcon": "build/start-xy.ico",
    "allowToChangeInstallationDirectory": true,
    "createDesktopShortcut": true,
    "createStartMenuShortcut": true,
    "deleteAppDataOnUninstall": true,
    "shortcutName": "湖北襄阳四中教研平台",
    "allowElevation": true,
    "perMachine": true
  }
}